using System.Data.Services;

namespace NorthwindBackendWeb
{
    public class NorthwindBackEnd : DataService<Northwind_Entities>
    {
        public static void InitializeService(IDataServiceConfiguration config)
        {
			config.UseVerboseErrors = true;
			config.SetEntitySetAccessRule("*", EntitySetRights.All);
			config.SetServiceOperationAccessRule("*", ServiceOperationRights.All);
		}

		protected override void OnStartProcessingRequest(ProcessRequestArgs args)
		{
			base.OnStartProcessingRequest(args);
		}
    }
}